.auth-page-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.auth-block-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.google-auth-button {
  background-color: #fff;
  border: 2px solid #e3e8eb;
  border-radius: 25px;
  height: 50px;
  cursor: pointer;
  width: 100%;
  text-decoration: none;
  color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 15px;
}

.google-auth-button img {
  margin-right: 10px;
}

.google-auth-button span {
  font-size: 14px;
}

.divider-container {
  display: flex;
  align-items: center;
  margin: 20px 0;
}

.divider-line {
  background: #f1f4f6;
  width: 170px;
  border: none;
  height: 1px;
  margin-right: 15px;
  margin-left: 15px;
}

.auth-page-form {
  display: flex;
  width: 100%;
  flex-direction: column;
}

.auth-page-form label {
  display: flex;
  flex-direction: column;
  font-size: 14px;
}

.auth-page-form input {
  background: #f7f7f7;
  border: 1px solid #f7f7f7;
  height: 50px;
  padding-left: 15px;
  font-size: 16px;
  border-radius: 25px;
  margin: 10px 0 20px;
}

.auth-page-form input:focus {
  border-color: #4f0099;
  outline: none;
}

.auth-page-form input:last-child {
  margin-bottom: 10px;
}

.auth-page-form button {
  background: #4f0099;
  border: none;
  cursor: pointer;
  height: 50px;
  border-radius: 25px;
  color: #fff;
  font-weight: bold;
  font-size: 16px;
}

.auth-page-footer-text-container {
  margin-top: 20px;
}

.auth-page-footer-text-container a {
  color: #4f0099;
  font-weight: bold;
  text-decoration: none;
}
